Package org.firebirdsql.jaybird.xca

## Enum XcaConnectionEvent.EventType

- java.lang.Object
- - java.lang.Enum<XcaConnectionEvent.EventType>
  - - org.firebirdsql.jaybird.xca.XcaConnectionEvent.EventType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<XcaConnectionEvent.EventType>`

Enclosing class:
  XcaConnectionEvent

    public static enum XcaConnectionEvent.EventType
    extends java.lang.Enum<XcaConnectionEvent.EventType>

### Enum Constant Summary

Enum Constants
`CONNECTION_CLOSED` Event notification that an application component has closed the connection.
`CONNECTION_ERROR_OCCURRED` Event notification that an error occurred on the connection.

### Method Summary

All Methods Static Methods Concrete Methods
`static XcaConnectionEvent.EventType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XcaConnectionEvent.EventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECTION_CLOSED

    public static final XcaConnectionEvent.EventType CONNECTION_CLOSED

Event notification that an application component has closed the connection.

#### CONNECTION_ERROR_OCCURRED

    public static final XcaConnectionEvent.EventType CONNECTION_ERROR_OCCURRED

Event notification that an error occurred on the connection. This event indicates that the managed connection instance is now invalid and unusable.

### Method Detail

#### values

    public static XcaConnectionEvent.EventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XcaConnectionEvent.EventType c : XcaConnectionEvent.EventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XcaConnectionEvent.EventType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null